%define _buildid .7

Summary: Traces the route taken by packets over an IPv4/IPv6 network
Name: traceroute
Epoch: 3
Version: 2.0.14
Release: 2%{?_buildid}%{?dist}
Group: Applications/Internet
License: GPLv2+
URL:  http://traceroute.sourceforge.net
Source0:  http://downloads.sourceforge.net/project/traceroute/traceroute/traceroute-%{version}/traceroute-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

Install traceroute if you need a tool for diagnosing network connectivity
problems.


%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" LDFLAGS=""


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/bin
install -m755 traceroute/traceroute $RPM_BUILD_ROOT/bin
pushd $RPM_BUILD_ROOT/bin
ln -s traceroute traceroute6
popd

install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m644 traceroute/traceroute.8 $RPM_BUILD_ROOT%{_mandir}/man8
pushd $RPM_BUILD_ROOT%{_mandir}/man8
ln -s traceroute.8 traceroute6.8
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README TODO CREDITS
/bin/*
%{_mandir}/*/*


%changelog
* Fri Jul 9 2010 22:50:51 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/traceroute-2.0.14-2.el6

* Fri Jul 9 2010 22:50:51 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/traceroute-2.0.12-3.1.el6

* Fri May 7 2010 03:11:40 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/traceroute-2.0.1-5.el5

* Fri May 7 2010 03:11:39 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/traceroute-2.0.1-3.el5

* Fri May 7 2010 03:11:39 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/traceroute-2.0.1-2.el5

* Fri May 7 2010 00:17:29 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package traceroute
